EFI(1)

NAME
EFI - bg_printenv

SYNOPSIS
bg_printenv [OPTION...]

DESCRIPTION
bg_printenv - Environment tool for the EFI Boot Guard

-A, --all
    search on all devices instead of root device only

-c, --current
    Only print values from the current environment

-f, --filepath=ENVFILE
    Environment to use. Expects a file name, usually called BGENV.DAT.

-o, --output=LIST
    Comma-separated list of fields which are printed. Available fields: in_progress, revision, kernel, kernelargs, watchdog_timeout, ustate, user. If omitted, all available fields are printed.

-p, --part=ENV_PART
    Set environment partition to use. If no partition is specified, the one with the smallest revision value above zero is selected.

-r, --raw
    Raw output mode, e.g. for shell scripting

-v, --verbose
    Be verbose

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.